Skip to main content

Upload a File

POST /api/v1/upload_file

Upload a file to the server using multipart/form-data. The file must be included in the request body under the file form field.

Example:

curl -X POST api/v1/actions/upload_file -H 'x-api-key: your-api-key' -H 'x-api-secret: your-api-secret' -F 'file=@/path/to/file.png'

Headers

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Responses

Webhook Events

Schema

dataarray[]Array of result items.
metaobjectPagination metadata.

Sample Response

{
"data": [
{
"_id": "string",
"company": "string",
"uploadedUser": "string",
"originalName": "string",
"mimeType": "string",
"size": 0,
"path": "string",
"md5Hash": "string",
"createdAt": "string",
"updatedAt": "string",
"filename": "string"
}
],
"meta": {
"total": 0,
"page": 0,
"limit": 0,
"totalPages": 0
}
}
POST/api/v1/upload_file
x-api-key
x-api-secret